@import "critical.scss";
@import "searchbox.scss";
@import "widehome.scss";

#rustc-usage th, #rustc-usage td { padding: 0.2em 0.25em; text-align: left; font-weight: normal; white-space: nowrap }
#rustc-usage td { border-left: 1px solid rgba(100,100,100,0.3); text-align: right }
#rustc-usage .nightly td { border-top: 2px solid rgba(100,100,100,0.3); }
#global-stats p { max-width: 60em; text-wrap: balance; text-wrap: pretty; }
#global-stats h2 { margin-top: 1.5em; }
#rustc .breakdowns { display: flex; flex-wrap: wrap; }
#rustc .breakdowns section:not(:last-child) { margin-right: 3em; }
p.legend { text-align: center; margin-top: 0; }
table.histogram { margin: 0.5em auto 2em; width: 100%; }
table.histogram td { vertical-align: bottom; vertical-align: top; text-align: center; font-size: 0.8em; }
table.histogram .bars td { vertical-align: bottom; }
table.histogram .bars div { background: #c60808; color: white; text-shadow: 1px 1px 0 rgba(0,0,0,0.25) }
#rev-deps .histogram .bars div { background: #007135; }
#time-without-updates .histogram .bars div { background: #ab00a7;  }
#releases-per-crate .histogram .bars div { background: #127f08;  }
#crate-bandwidth .histogram .bars div { background: #0050d6;  }
#crates-per-user .histogram .bars div { background: #006B5F;  }
table.rustc-compat svg { display: block }
table.rustc-compat th { vertical-align: 50%; }
table.rustc-compat thead th { font-weight:normal; font-size: 0.8em }
@media (prefers-color-scheme: dark) {
    table.histogram .bars div { color: #ddd; text-shadow: 1px 1px 0 black }
}
table.histogram a {
    display: block; text-align: left; max-width: 11em; overflow: hidden; text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  max-height: 2.3em; line-height: 1.1; margin: 0.4em 0;
}

#vs caption { font-weight: bold; }
#vs th { font-weight: normal; vertical-align: bottom; padding-top:0; }
#vs th:first-child { text-align: left; }
#vs th:last-child { text-align: right; }
#vs table { border-collapse: collapse; font-size:0.9em; width:100%; margin: 2em auto 1em }
#vs td { font-size:0.9em; background:rgb(217,225,221); color:black; padding:0.2em 0; text-align:center }
#vs td:first-child { background:rgb(234,207,166); }
#vs .bar { display: table; width: 100%; white-space: nowrap; }
#vs tfoot.bar th {  border-right: 2px solid transparent }
#vs tfoot.bar th:last-child {  border-right: none }
#vs a:not(:hover) { color:inherit }
@media screen and (max-width: 1000px) {
    #vs .tiny {display:none;}
}
